/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.tomcat.tc4;

import org.apache.catalina.*;
import org.apache.catalina.startup.Embedded;
import org.jboss.web.tomcat.tc4.EmbeddedCatalina;

/** A Service implementation that delegates its

 TOMCAT 4.1.12 UPDATE: Added getServer() and setServer(Server server) methods to comply
 with new Service interface, and
 renamed setServer(EmbeddedCatalina catalina) to setEmbeddedServer(EmbeddedCatalina catalina) to
 avoid confusion

@author Scott.Stark@jboss.org
*/
public class EmbeddedService implements Service
{
   private EmbeddedCatalina catalina;
   private Server server;
   private String name = "Default";

   /** Creates a new instance of EmbeddedService */
   public EmbeddedService()
   {
   }

   public void addConnector(Connector connector)
   {
      catalina.addConnector(connector);
   }
   public Connector[] findConnectors()
   {
      return catalina.findConnectors();
   }
   public void removeConnector(Connector connector)
   {
      catalina.removeConnector(connector);
   }

   public Container getContainer()
   {
      return null;
   }
   public void setContainer(Container container)
   {
   }

   public String getInfo()
   {
      return "";
   }

   public String getName()
   {
      return name;
   }
   public void setName(String name)
   {
      this.name = name;
   }

   public void setEmbeddedServer(EmbeddedCatalina catalina)
   {
      this.catalina = catalina;
   }

   public void setServer(Server server)
   {
      this.server = server;
   }

    public Server getServer() {
        return server;
    }

   public void initialize() throws LifecycleException
   {
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer("EmbeddedService[");
      sb.append(getName());
      sb.append("]");
      return sb.toString();
   }

}
